
### From "Structural transitions of F-actin upon ATP hydrolysis at near-atomic resolution 
### revealed by cryo-EM"
### Nature Structural & Molecular Biology volume 25, pages 528–537 (2018)

### PDB 5OOE and EMD-3838 (F-actin–AppNHp non-hydrolyzable ATP analog); 
### 5OOF and EMD-3839 (F-actin–ADP–BeFx, Pi analog); 
### 6FHL and EMD-4259 (F-actin–ADP–Pi); 
### 5OOD and EMD-3837 (F-actin–ADP–Pi JASP); 
### 5OOC and EMD-3836 (F-actin–ADP JASP); 
### 5ONV and EMD-3835 (F-actin–ADP). 


#-------------VVVV-----------------------------

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for desktop
config_mouse three_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3
#--------------^^^^-----------------------------

fetch 1NWK, G-actin
create ATP-G-actin, ((resn ANP and resi 1380) or (resn Mg and resi 402)) and chain A and G-Actin
h_add create ATP-G-actin
remove /ATP-F-actin/N/E/ANP`401/H09
color wheat, name C* and create ATP-G-actin
hide everything, ATP-G-actin
show sticks, ATP-G-actin
show nb_spheres, ATP-G-actin and resn Mg 


fetch 5OOE, F-actin-ATP

remove resn HOH and G-actin
cealign f-actin-ATP and chain E, G-actin 

### DO NOT EDIT
### show protein1 as a ribbon diagram and color it
### by secondary structure
hide everything, G-actin*
show cartoon, G-actin*


create ATP-F-actin, ((resn ANP and resi 401) or (resn Mg and resi 402)) and chain E and F-actin-ATP
h_add ATP-F-actin
remove /ATP-F-actin/N/E/ANP`401/H09
color wheat, name C* and ATP-F-actin
hide everything, ATP-F-actin
show sticks, ATP-F-actin
show nb_spheres, ATP-F-actin and resn Mg 

create pocket_ATP-F-actin, byres(F-actin-ATP within 4 of ATP-F-actin)
remove (pocket_ATP-F-actin within .1 of ATP-F-actin)
color red, name O* and pocket_ATP-F-actin
color cyan, name C* and pocket_ATP-F-actin
color blue, name N* and pocket_ATP-F-actin
color yellow, name P* and pocket_ATP-F-actin
color yellow, name S* and pocket_ATP-F-actin
hide everything, pocket_ATP-F-actin
show sticks, pocket_ATP-F-actin
h_add pocket_ATP-F-actin


###  draw hydrogen bonds betweeh pocket_ATP-F-actin and ATP-F-actin
distance hbond1, (ATP-F-actin and (name N* or name O*)), (pocket_ATP-F-actin and name H*), 2.3
distance hbond1, (ATP-F-actin and name H*), (pocket2 and (pocket_ATP-F-actin and N* or name O*)), 2.3
distance hbond1, (ATP-F-actin and name O*), (ATP-F-actin and resn Mg), 2.5


# set the font of object dist_object
set label_font_id=-7, hbond1
# set the dash width
set dash_width=3.5, hbond1
# set the color
color black, hbond1

-----------

fetch 5OOF, F-actin-ADP_Pi_2

create ADP_Pi-F-actin, ((resn ADP and resi 401) or (resn Mg and resi 402) (or resn PO4 and resi 403)) and chain E and F-actin-ADP_Pi_2
h_add ADP_Pi-F-actin
remove /ADP_Pi-F-actin/O/E/MG`402/MG

color wheat, name C* and ADP_Pi-F-actin
hide everything, ADP_Pi-F-actin
show sticks, ADP_Pi-F-actin
show nb_spheres, ADP_Pi-F-actin and resn Mg 

create pocket_ADP_Pi-F-actin, byres(F-actin-ADP_Pi_2 within 4 of ADP_Pi-F-actin)
remove (pocket_pocket_ADP_Pi-F-actin within .1 of ADP_Pi-F-actin)
color red, name O* and pocket_ADP_Pi-F-actin
color palegreen, name C* and pocket_ADP_Pi-F-actin
color blue, name N* and pocket_ADP_Pi-F-actin
color yellow, name P* and pocket_ADP_Pi-F-actin
color yellow, name S* and pocket_ADP_Pi-F-actin
hide everything, pocket_ADP_Pi-F-actin
show sticks, pocket_ADP_Pi-F-actin
h_add pocket_ADP_Pi-F-actin

###  draw hydrogen bonds betweeh pocket_ADP_Pi-F-actin and ADP_Pi-F-actin
distance hbond2, (ADP_Pi-F-actin and (name N* or name O*)), (pocket_ADP_Pi-F-actin and name H*), 2.3
distance hbond2, (ADP_Pi-F-actin and name H*), (pocket_ADP_Pi-F-actin and N* or name O*), 2.3
distance hbond2, (ADP_Pi-F-actin and name O*), (ADP_Pi-F-actin and resn Mg), 2.5


# set the font of object dist_object
set label_font_id=-7, hbond2
# set the dash width
set dash_width=3.5, hbond2
# set the color
color black, hbond2
--------------------




fetch 6FHL, F-actin-ADP_Pi_2
cealign F-actin-ATP, F-actin-ADP_Pi_2

fetch 5OOD, F-actin-ADP_Pi_JASP
cealign f-actin-ATP, F-actin-ADP_Pi_JASP

fetch 5OOC, F-actin-ADP_JASP
cealign f-actin-ATP, F-actin–ADP_JASP

fetch 5ONV, F-actin-ADP
cealign f-actin-ATP, F-actin-ADP

hide everything, F-actin*
show cartoon, F-actin*

### EDIT
### set the global view
### type get_view to get this matrix
set_view (\
    -0.185966507,   -0.959039390,    0.213676140,\
    -0.311147273,   -0.148795858,   -0.938641310,\
     0.931988776,   -0.241040558,   -0.270731270,\
     0.000000000,    0.000000000,  -35.776573181,\
   133.099731445,  142.087173462,  205.338287354,\
    21.160343170,   50.392776489,  -20.000000000 )
    


